#!/bin/sh

if [ $# -ne 2 ];
 then
  echo "usage: $0 newname color"
  echo "example: $0 purple \"#ff00ff\""
 exit 1
fi

cp -r gray_src $1"_src"
mkdir $1"_cursors"
mkdir $1"_cursors_nonanim"

function colorize () {
 for f in `ls *.png`
 do
  convert -fill $1 -colorize 40 $f $f
 done
}



cd $1"_src"
colorize $2

sed "s/gray/$1/g" Makefile > Make2
mv Make2 Makefile

sed "s/Grayscale/$1/g" index.theme > index2
mv index2 index.theme

cd watch
colorize $2

cd ../left_ptr_watch
colorize $2

cd ../nonanim
sed "s/gray/$1/g" Makefile > Make2
mv Make2 Makefile


sed "s/gray/$1/gi" index.theme > index2
mv index2 index.theme

cd ..
make&&make install